
package cn.orionsec.ops.handler.terminal.manager;

public interface TerminalManagementHandler {

    /**
     * 管理员强制下线
     *
     * @throws Exception Exception
     */
    void forcedOffline() throws Exception;

    /**
     * 心跳结束下线
     *
     * @throws Exception Exception
     */
    void heartbeatDownClose() throws Exception;

    /**
     * 主动发送心跳
     */
    void sendHeartbeat();

}
